Bug 6867 - datelastseen is not imported from marc file
Summary: datelastseen is not imported from marc file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic record staging/import (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: D Ruth Bavousett
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-13 13:52 UTC by Joy Nelson
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.77 KB, patch)
2011-10-04 14:41 UTC, D Ruth Bavousett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6867: Date last seen ignored on import (1.85 KB, patch)
2011-10-04 15:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2011-09-13 13:52:19 UTC
When you add biblios with embedded items and 952$r contains the date last seen, Koha ignores the data and sets datelastseen to NOW() by default.
Comment 1 D Ruth Bavousett 2011-10-04 14:41:12 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-10-04 15:42:59 UTC
Created attachment 5695 [details] [review]
[SIGNED-OFF] Bug 6867: Date last seen ignored on import

The date last seen field (952 $r) and replacement price date (952 $w) were being
ignored on import, being replaced with NOW() as a hardcoded value.  This patch will
allow a value to be imported, but if none is, it will use the ISO date of import
as a default.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Ian Walls 2011-10-04 15:47:44 UTC
Maintains current default behavior, but allows for more data to be imported.  Easy to read, marking as Passed QA
Comment 4 Chris Cormack 2011-10-04 21:09:50 UTC
Pushed, please test